function asignar_s_storage(var_item,vlr_item){
    if(sessionStorage.hasOwnProperty(var_item)){
		sessionStorage.removeItem(vlr_item)
	}
	sessionStorage.setItem(var_item,vlr_item)
}
var vGmodulo=""
function mudulemaster(nMod,tCampo,campo,accion,nTam,cIni,cFin,tipo) {
	document.getElementById("reporte").innerHTML="";
	vGtam="100%"
	vGmodulo=nMod
    asignar_s_storage("modulo",nMod)
    asignar_s_storage("tipo",tipo)
    asignar_s_storage("campoi",cIni)
    asignar_s_storage("length",nTam)
    asignar_s_storage("accion",accion)
	if(nTam!=''){
		vGtam=nTam
	}
	tId=campo;
	url="modulo="+nMod;
	url+="&tipo="+"l";
	url+="&accion="+accion;
	url+="&codemp="+VGempresa;
	console.log(accion+url)
    Rpage="pdo/pdoquestion.php"
	send_data(url,Rpage,"create_form");
}



function create_form(answer){
	swAdj=0
	console.log(answer)
	var oJsonDatos = JSON.parse(answer);//forma
    cad=oJsonDatos[0];
    console.log(Object.keys(cad));
    var NJsonItem=oJsonDatos.length;
	vDiv=oJsonDatos[0].bloque.trim()
	//Detalle='<a href="javascript:listados(\'' + sessionStorage.getItem("modulo") + '\')><span class="material-symbols-sharp" >grid_view</span></a>'
	Detalle='<div class="bloqueph divboton"><a href="javascript:listados(\'' + sessionStorage.getItem("modulo") + ' \',\' '+oJsonDatos[0].titmod+' \' ) "><span class="material-symbols-sharp" style="cursor:pointer">Print</span></a></div>'
	Detalle+="<div id='"+vDiv+"' class='bloqueph'>"

	iDet=0//para saber en que campo arranca el detalle
	swdet=0
	cAnt=""
	vCampo_padre=""//para cuando hay bloques que se arman con + de 1 campo
	vJfunciones='{"Datos":[{';
	for (RowArray=0;RowArray<NJsonItem; RowArray++){
		if(RowArray>0 && vDiv!=oJsonDatos[RowArray].bloque.trim()){
			Detalle+="</div><div id='"+oJsonDatos[RowArray].bloque.trim()+"' class='bloqueph' >"
			vDiv=oJsonDatos[RowArray].bloque.trim()
		}else{
			document.getElementById("tit_modulo").innerHTML="<h1 style='color:blue;margin-top:10px ;'>"+oJsonDatos[RowArray].titmod+"</h1>"
		}
		vCampo=oJsonDatos[RowArray].nombre.trim()//"c"+RowArray.toString()
		if(oJsonDatos[RowArray].chkblq==1){vCampo_padre=vCampo}
		if(oJsonDatos[RowArray].chkblq==0){vCampo_padre=""}
		etipo=oJsonDatos[RowArray].etifin.trim()//aqui debe ir etiqueta en vez de etifin
		eIni=oJsonDatos[RowArray].etiini.trim()
		eFin=oJsonDatos[RowArray].etifin.trim()
		console.log(etipo)
        aReq=""
		//Detalle+="<div class='"+oJsonDatos[RowArray].nomdiv.trim()+"'>"
		if(oJsonDatos[RowArray].chkblq==0 || oJsonDatos[RowArray].chkblq==1){//para campos noson del mismo bloque
			Detalle+="<div class='"+oJsonDatos[RowArray].nomdiv+"'"
			if(oJsonDatos[RowArray].campoadi.trim()!=""){
				Detalle+=" title='"+oJsonDatos[RowArray].campoadi.trim()+"'"
			}
			if(oJsonDatos[RowArray].chkocu==1 ){
				Detalle+="' style='display: none' "
			}
			Detalle+=">";
			detlabel="<label for='"+oJsonDatos[RowArray].nombre.trim()+"'>"+oJsonDatos[RowArray].descripcion.trim()+"</label>"
		}
		
        switch (etipo) {
            case "input":
				if(oJsonDatos[RowArray].nomdiv.trim()=='conte_adjuntar'){
					Detalle+="<div class='drop-area'><h2>Arrastra y suelta imagenes</h2>";
					Detalle+="<span>o</span>";
					Detalle+='<a href="javascript:simula_inputfile(\'input-file\')"> Selecciona tus archivos </a>';
					Detalle+="<input type='file' name='"+oJsonDatos[RowArray].nombre.trim()+"' id='input-file' hidden multiple />"
					Detalle+="</div><div id='preview'></div>"
					swAdj=1

				}else{
					Detalle+="<"+eIni+"  name='"+oJsonDatos[RowArray].nombre.trim()+"' id='"+oJsonDatos[RowArray].nombre.trim()+"' "
                	if(oJsonDatos[RowArray].funcion!=""){//para buscardor al escribir
						divConte=vDiv.replace('det_','')//para identificar la clase a la que queda amarrado
						Detalle+=' onkeyup="buscador(\''+oJsonDatos[RowArray].funcion+'\',this,\''+oJsonDatos[RowArray].chknew+'\',\''+divConte+'\')" '
					}
					if(oJsonDatos[RowArray].lost.trim()!=""){
						Detalle+=' onblur="'+oJsonDatos[RowArray].lost.trim()+'"'
					}
				}
                
				
                break;
            case "select":
                Detalle+="<"+eIni+"  name='"+oJsonDatos[RowArray].nombre.trim()+"' id='"+oJsonDatos[RowArray].nombre.trim()+"' "
				if(oJsonDatos[RowArray].inicio.trim().length>3){
					if(vJfunciones.length>12){vJfunciones+=",{";}
					vJfunciones+='"modulo":"'+oJsonDatos[RowArray].inicio.trim()+'",';
					vJfunciones+='"objeto":"'+oJsonDatos[RowArray].nombre.trim()+'",';
					vJfunciones+='"valor":"'+oJsonDatos[RowArray].predeterminado.trim()+'",';
					vJfunciones+='"condicion":"'+oJsonDatos[RowArray].condicion.trim()+'"';
					vJfunciones+=',"modalidad":"'+oJsonDatos[RowArray].chkimg+'"';
					vJfunciones+=',"lost":"'+oJsonDatos[RowArray].lost.trim()+'"';
					vJfunciones+='}';
				}
                break;
			case "textarea":
				Detalle+=detlabel+"<"+eIni+"  name='"+oJsonDatos[RowArray].nombre.trim()+"' id='"+oJsonDatos[RowArray].nombre.trim()+"' "
				break;
            default:
                // Código a ejecutar si ninguno de los casos coincide con la expresión
                break;
	    }
		

        if(oJsonDatos[RowArray].keypress!=""){
			Detalle+=" onkeypress='"+oJsonDatos[RowArray].keypress+"'"//Restringiendo caracteres indicados
		}
		if(oJsonDatos[RowArray].length!=0){
			Detalle+=" style='width:"+oJsonDatos[RowArray].length+"%'"
		}
        if(oJsonDatos[RowArray].chkreq=="1" ){
			aReq+=" required "//valido que solo sea numeros positivos
		}
		if(vCampo_padre!='' && oJsonDatos[RowArray].chkblq==2){//Agregando a las clases para poder ubicarles y asignarles datos respectivos
		    aReq+=" "+vCampo_padre+" "
		}
		if(oJsonDatos[RowArray].chktmp=="1" ){
			aReq+=" tmp "//para campos que no van a guardar
		}
		if(oJsonDatos[RowArray].etiini=="table" ){
			aReq+=" table "//para indicar que es una tabla
		}
		if(oJsonDatos[RowArray].nomdiv.trim()!='conte_adjuntar'){
        	Detalle+="class='bloqueph "+aReq+"' "
        	Detalle+=">"
			Detalle+=oJsonDatos[RowArray].valorhtml.trim();	
			Detalle+=" </"+eFin+">"
		}
		
		
		if(oJsonDatos[RowArray].chkblq==0 || oJsonDatos[RowArray].chkblq==2){
			if(etipo!="textarea" && oJsonDatos[RowArray].nomdiv.trim()!='conte_adjuntar'){
				Detalle+=detlabel
			}
			Detalle+="</div>";
		}
		
    }
	vJfunciones+="]}";
	Detalle+="</div><div class='bloqueph'><input type='submit' value='Guardar'></div><div id='respuesta'></div>"

	if (swAdj==1){
		DetalleSup=""
		DetalleB=""
		insertar(Detalle,vJfunciones,DetalleSup,DetalleB)
		return
	}


	//console.log(Detalle)
	document.getElementById("bodyform").innerHTML=Detalle;

	if(vJfunciones.length>13){
		console.log(vJfunciones)
		vGnum=0;
		jGfunciones = JSON.parse(vJfunciones);
		filtrar(jGfunciones.Datos[0].modulo,jGfunciones.Datos[0].objeto,jGfunciones.Datos[0].valor,jGfunciones.Datos[0].condicion,jGfunciones.Datos[0].modalidad,jGfunciones.Datos[0].lost);
	}else{
	}
}
function iniciar(vJfunciones,vIdsup){
	//document.getElementById(vIdsup).innerHTML=localStorage.getItem("botones")
	console.log(vJfunciones.length)
	if(vJfunciones.length>13){
		console.log(vJfunciones)
		vGnum=0;
		jGfunciones = JSON.parse(vJfunciones);
		filtrar(jGfunciones.Datos[0].modulo,jGfunciones.Datos[0].objeto,jGfunciones.Datos[0].valor,jGfunciones.Datos[0].condicion,jGfunciones.Datos[0].modalidad,jGfunciones.Datos[0].lost);
	}
}

function insertar(tcontenido,funciones,contsuperior,contbotones){
	console.log(DetalleSup)
	console.log(contbotones)
	localStorage.setItem("contenido",tcontenido+" <div class='mmenud' id='lderecho'></div>")
	localStorage.setItem("funciones",funciones)
	localStorage.setItem("contesuperior",contsuperior)
	localStorage.setItem("botones",contbotones)
	localStorage.setItem("modulo",vGmodulo)
	
	document.getElementById("cuerpo").style.marginTop="0px";
	document.getElementById("main").innerHTML ="<iframe src='../index_adjunto.html' width='800',height='100%'></frame>";

}